GNU bug report logs - #46093
Shell-script mode formatting error eats half the page

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #2910, #21244, #26217, #30170, #48193; dated Mon, 25 Jan 2021 06:35:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 2910 21244 26217 30170 46093 48193. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2910 21244 26217 30170 46093. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 46093 <at> debbugs.gnu.org:


Received: (at 46093) by debbugs.gnu.org; 28 Jan 2021 02:44:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 21:44:50 2021
Received: from localhost ([127.0.0.1]:46620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4xIg-00011O-LP
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 21:44:50 -0500
Received: from quimby.gnus.org ([95.216.78.240]:56556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4xIf-000117-BP
 for 46093 <at> debbugs.gnu.org; Wed, 27 Jan 2021 21:44:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=QUuf6SzlMMvNcahHvQpH35f0LnTrGyqeb64Hj4+fUfU=; b=W0bvs0Rnf0PwI0Vrnj70F7p63S
 Q969acJljMGS9oXmBuZ23OU3u1JfqJt2YqiA4vvTtojhXzMkjS6JFnGfmZk8Vg5SIuWQl5Inrzqk/
 a+EKhI78xmPIo3ym07kFu5lHh4xcD1+kXFXbv6B9ImQYuQPJuB+42Kn0VHMCCQgiCEZw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4xIT-0003AM-Ol; Thu, 28 Jan 2021 03:44:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#46093: Shell-script mode formatting error eats half the page
References: <87czxtfx2r.8.fsf@HIDDEN> <87a6svf7vw.fsf@HIDDEN>
 <87o8ha7047.5.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX49+zEvpemmGSK
 cEM8NiT///9cgd8nAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UBHAIsDJ7xEu0AAAF1SURBVDjLdZLr
 ocMgCIVN2gEqmQC8C0RcoJH9Z7qA2rxa/uTxeRAOhGAxxVuEFhNQ+wYc4NXIwuTB6y+QL2DmHrui
 kSmJxw7iyFUawDuonE6KXvGDCaAcAA6wxulVJB9Ay/VEfT5Pil5WCDTNUvEK1K8FUeSg6JdQXDGL
 bHgB6l4GFql5B55rXjWXAc54Ano1Fu2+pkYC9qEgEJknCtzhAWZIdl7MeScfxZLdxRhJJWqlg5eO
 lh1UHa5JmEIrIcTkAowtF3MHXqllShcA3Oa01ekEhkBqWezy4gAjxEUGEDRJHgoYisxWV8oUusv9
 jpzMds32AenPBZzVOJUQ6cJN5iK4UY+3G2obPBTgjdPbN1Or2QGTt+HvVlZAdQEd2DAE1JPkDWbq
 a6511U3LssZ1K8PY8lK9v2rvVkfwb93Z1ocstXsQpIERJEdwiMo/gORyAuOcbCDfgZQzqJ8fcgX1
 O9BcqQ3wqiibTXf7uyna4bviHj/BP26Js+X0YaZrAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAx
 LTI4VDAyOjQ0OjEyKzAwOjAw6SL65gAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0yOFQwMjo0
 NDoxMiswMDowMJh/QloAAAAASUVORK5CYII=
X-Now-Playing: Joe Jackson's _Fool_: "Strange Land"
Date: Thu, 28 Jan 2021 03:44:36 +0100
In-Reply-To: <87o8ha7047.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Thu, 28 Jan 2021 01:36:40 +0800")
Message-ID: <87mtwt7pbf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > LI>
    for name [ [in [words …] ] ; ] do commands; done > > ^^^ see, that semicolon
    is optional. > That's what the extra brackets mean. Sorry; misread the specs.
    Reopening (and merging with one of the other bug reports about this). 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46093
Cc: 46093 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> LI>     for name [ [in [words =E2=80=A6] ] ; ] do commands; done
>
>                                    ^^^ see, that semicolon is optional.
>                                    That's what the extra brackets mean.

Sorry; misread the specs.  Reopening (and merging with one of the other
bug reports about this).

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46093; Package emacs. Full text available.

Message received at 46093 <at> debbugs.gnu.org:


Received: (at 46093) by debbugs.gnu.org; 27 Jan 2021 20:08:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 15:08:49 2021
Received: from localhost ([127.0.0.1]:46180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4r7Q-0001qM-PR
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 15:08:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1l4r7O-0001q9-PD
 for 46093 <at> debbugs.gnu.org; Wed, 27 Jan 2021 15:08:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54428)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1l4r7J-0000Ld-EK; Wed, 27 Jan 2021 15:08:41 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1l4r7I-0005IE-Kz; Wed, 27 Jan 2021 15:08:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46093: Shell-script mode formatting error eats half the page
References: <87czxtfx2r.8.fsf@HIDDEN> <87a6svf7vw.fsf@HIDDEN>
X-Spook: Agriculture Mafia Listeria diwn Bacteria Brush fire
X-Ran: wK]Ft]TM,bBQUM?Uxqf//ruGTUc#onl\>3.O:\WXwIc5&8G*VN-6F@`IHmnaQ8rN4Aq1xL
X-Hue: brightblue
X-Attribution: GM
Date: Wed, 27 Jan 2021 15:08:40 -0500
In-Reply-To: <87a6svf7vw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 27 Jan 2021 03:09:23 +0100")
Message-ID: <htpn1qdtx3.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46093
Cc: 46093 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


FYI, dupe of https://debbugs.gnu.org/26217 (and others).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46093; Package emacs. Full text available.

Message received at 46093 <at> debbugs.gnu.org:


Received: (at 46093) by debbugs.gnu.org; 27 Jan 2021 17:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 12:36:53 2021
Received: from localhost ([127.0.0.1]:46040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4okO-0004VM-PE
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2021 12:36:53 -0500
Received: from cyan.ash.relay.mailchannels.net ([23.83.222.47]:36825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l4okM-0004VA-19
 for 46093 <at> debbugs.gnu.org; Wed, 27 Jan 2021 12:36:51 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 13808483DB6;
 Wed, 27 Jan 2021 17:36:46 +0000 (UTC)
Received: from pdx1-sub0-mail-a12.g.dreamhost.com
 (100-96-16-7.trex.outbound.svc.cluster.local [100.96.16.7])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id A059E483BD5;
 Wed, 27 Jan 2021 17:36:45 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a12.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.16.7 (trex/6.0.2); Wed, 27 Jan 2021 17:36:45 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Tangy-Drop: 060d85f362da893d_1611769005883_2364804891
X-MC-Loop-Signature: 1611769005883:1331510247
X-MC-Ingress-Time: 1611769005883
Received: from pdx1-sub0-mail-a12.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTP id 632647F81B;
 Wed, 27 Jan 2021 09:36:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=uGr4wPahrZtqe/r+sL
 kel19qJGg=; b=PHVr7nieRnEjfyysu0psXOqoYyZU3C18lK5FaBiR07eg4Nj1pW
 hrFHR1cPPZPQ7+ZbJGmxqyK0URCLptvePDU1xB+WS4A7KIz1zff+O4eh5R7ReJLJ
 Jh6XiINIwNZx3vSnGaLgrzDZxZw0nUH97rv4QEV8YQt6OyNtGto7u2sZE=
Received: from jidanni.org (114-41-0-252.dynamic-ip.hinet.net [114.41.0.252])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a12.g.dreamhost.com (Postfix) with ESMTPSA id EEFE484DA7;
 Wed, 27 Jan 2021 09:36:44 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a12
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46093: Shell-script mode formatting error eats half the page
References: <87czxtfx2r.8.fsf@HIDDEN> <87a6svf7vw.fsf@HIDDEN>
Date: Thu, 28 Jan 2021 01:36:40 +0800
Message-ID: <87o8ha7047.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46093
Cc: 46093 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "LI" =3D=3D Lars Ingebrigtsen <larsi@HIDDEN> writes:
LI> (I moved the semicolon to before the "do", not after.  Which is
LI> apparently the correct syntax according to

My example had no semicolon, not before, not after.

LI>     for name [ [in [words =E2=80=A6] ] ; ] do commands; done

                                   ^^^ see, that semicolon is optional.
                                   That's what the extra brackets mean.

LI> So Emacs seems to do the correct thing here; closing.

Well, yes, if everybody always used the optional semicolon, you might say=
.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46093; Package emacs. Full text available.
bug closed, send any further explanations to 46093 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46093 <at> debbugs.gnu.org:


Received: (at 46093) by debbugs.gnu.org; 27 Jan 2021 02:09:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 26 21:09:39 2021
Received: from localhost ([127.0.0.1]:43122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4aH2-0001or-1B
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2021 21:09:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4aH0-0001oa-2W
 for 46093 <at> debbugs.gnu.org; Tue, 26 Jan 2021 21:09:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Xb6haoh76S1/CsdnB82+dFH7TcClQanp510xToq++T8=; b=J9tNW5hdOYqCh90OXaQ+ZAuiqv
 a4lCz0vwgJ8UQoABuNpEo0rtgBzyFrSPAsJLZdYUQW0hyOedn9Sf+A9ZKJ58ouNFFp7Sy5m84O76D
 LYfroOCoyfXw0nbWWmkC0Uwof30Ps6FqUlgmWDjtM0vhoJ6QDhTHNuZFu0MKbLzbLxTg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4aGq-0007rT-U4; Wed, 27 Jan 2021 03:09:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#46093: Shell-script mode formatting error eats half the page
References: <87czxtfx2r.8.fsf@HIDDEN>
X-Now-Playing: repository's _Depeche Mode_: "Black Celebration: The 12"
 Singles (5): A Question of Time (Limited Edition)/03-Black Celebration
 (Black Tulip Mix).mp3"
Date: Wed, 27 Jan 2021 03:09:23 +0100
In-Reply-To: <87czxtfx2r.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Mon, 25 Jan 2021 12:40:44 +0800")
Message-ID: <87a6svf7vw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > Here
    we observe lines severely shoved over due to Shell-script mode not > recognizing
    the statement has terminated. emacs-version "27.1". > > $ cat x.sh > set
   /home/$j/.adobe /home/$j/.macromedia && [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46093
Cc: 46093 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> Here we observe lines severely shoved over due to Shell-script mode not
> recognizing the statement has terminated. emacs-version "27.1".
>
> $ cat x.sh
> set /home/$j/.adobe /home/$j/.macromedia && for i do if test -d $i; then =
rm -vr $i; fi; done
>                                                 echo these lines are now =
indented wrongly
>                                                 echo these lines are now =
indented wrongly for the rest of the file.
>                                                 echo There is no recovery.

Here's a simpler reproducer:

for i do; if test -d $i; then rm -vr $i; fi; done
    echo these lines are now indented wrongly
    echo these lines are now indented wrongly for the rest of the file.
    echo There is no recovery.

This indents correctly, though:

for i; do if test -d $i; then rm -vr $i; fi; done
echo these lines are now indented wrongly
echo these lines are now indented wrongly for the rest of the file.
echo There is no recovery.

(I moved the semicolon to before the "do", not after.  Which is
apparently the correct syntax according to

https://www.gnu.org/software/bash/manual/bash.html#Compound-Commands

for

    The syntax of the for command is:

    for name [ [in [words =E2=80=A6] ] ; ] do commands; done

So Emacs seems to do the correct thing here; closing.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46093; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2021 06:34:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 25 01:34:31 2021
Received: from localhost ([127.0.0.1]:37730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3vSI-0004Lj-TA
	for submit <at> debbugs.gnu.org; Mon, 25 Jan 2021 01:34:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:40900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l3vSH-0004Lc-Hq
 for submit <at> debbugs.gnu.org; Mon, 25 Jan 2021 01:34:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36796)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l3vSH-0005wS-BB
 for bug-gnu-emacs@HIDDEN; Mon, 25 Jan 2021 01:34:29 -0500
Received: from dog.elm.relay.mailchannels.net ([23.83.212.48]:25963)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l3vSD-0001IK-Hi
 for bug-gnu-emacs@HIDDEN; Mon, 25 Jan 2021 01:34:28 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A4E9940225E
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Jan 2021 06:34:21 +0000 (UTC)
Received: from pdx1-sub0-mail-a57.g.dreamhost.com
 (100-96-11-12.trex.outbound.svc.cluster.local [100.96.11.12])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3B888401B7A
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Jan 2021 06:34:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a57.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.11.12 (trex/6.0.2); Mon, 25 Jan 2021 06:34:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Unite-Zesty: 4320e249551d6107_1611556461466_2234344805
X-MC-Loop-Signature: 1611556461466:362797530
X-MC-Ingress-Time: 1611556461466
Received: from pdx1-sub0-mail-a57.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a57.g.dreamhost.com (Postfix) with ESMTP id 039DB8920C
 for <bug-gnu-emacs@HIDDEN>; Sun, 24 Jan 2021 22:34:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=QqXdyCWjTy2LZ6ydMbFcjwZYhtk=; b=kEJI2kusSDOYE9b5
 iNxvvSGXGzZOuDZqE6HqoM0OhRclEd2/IlSZuL57aQrg/Jiafyd+vh4jqf9/2brl
 H2j0nRu0ztlLJo2kBvKQtus2hAdm54P1UEWS17zsljpcOWqpeS/iHr4Xni2XLo6i
 fGPjSXfGwUwq64ZPk7B/ribw728=
Received: from jidanni.org (114-41-31-29.dynamic-ip.hinet.net [114.41.31.29])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a57.g.dreamhost.com (Postfix) with ESMTPSA id B0F507EF93
 for <bug-gnu-emacs@HIDDEN>; Sun, 24 Jan 2021 22:34:20 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a57
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Shell-script mode formatting error eats half the page
Date: Mon, 25 Jan 2021 12:40:44 +0800
Message-ID: <87czxtfx2r.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=23.83.212.48; envelope-from=jidanni@HIDDEN;
 helo=dog.elm.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Here we observe lines severely shoved over due to Shell-script mode not
recognizing the statement has terminated. emacs-version "27.1".

$ cat x.sh
set /home/$j/.adobe /home/$j/.macromedia && for i do if test -d $i; then rm -vr $i; fi; done
                                                echo these lines are now indented wrongly
                                                echo these lines are now indented wrongly for the rest of the file.
                                                echo There is no recovery.

"Well then use if ...; then ..."

if set /home/$j/.adobe /home/$j/.macromedia
then for i do if test -d $i; then rm -vr $i; fi; done
     fi #UH OH, STILL MESSED UP
	 set /home/$j/.procmail/backup #UH OH EVEN MORE
	 if ! test -d $1 #AT LEAST INDENTING HAS STABILIZED finally



if set /home/$j/.adobe /home/$j/.macromedia
then
    for i do if test -d $i; then rm -vr $i; fi; done
    fi #STILL BAD


if set /home/$j/.adobe /home/$j/.macromedia
then
    for i
    do if test -d $i; then rm -vr $i; fi; done
fi #AH, FINALLY it has come to its senses.




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46093; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 3 May 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.